# README

This Python module can be used to log memory usage of pyspark executors.

## Usage

In your pyspark executor, do the following to log memory usage e.g. every 5 seconds:

```
from spark_memlogger import memlogger
ml = memlogger.MemLogger(5)
try:
  ml.start()
  # here goes the code you want to trace ...
finally:
  ml.stop()
```

In case you encounter timeout issues or connection issues towards the Kafka brokers in general, you can override the 
default Kafka client settings by specifying additional Kafka client properties, e.g:

```
ml = memlogger.MemLogger(5, api_version_auto_timeout_ms=10000)
```

When submitting the Spark job, the memory traces can be found in the spark-memlogs ES index of the apps_prod cluster
(es-apps-0[1,2,3].vgt.vito.be).

Authors:
* Marcel Buchhorn (marcel.buchhorn@vito.be)
* Dirk Daems (dirk.daems@vito.be)
